import time
import numpy as np
import mandel_slow as mandel

maxiter = 200

# coordinate ranges
xrange = np.arange(-2, 2, 0.02)
yrange = np.arange(-1.5, 1.5, 0.02)

t0 = time.time()
m = mandel.mandel(xrange, yrange, maxiter)
t1 = time.time()

print "elapsed %.3f s for %d pixel maxiter %d" % (t1 - t0, m.size, maxiter)

from matplotlib import pyplot

# sqrt to show more detail for low values of m
pyplot.imshow(np.sqrt(m) / np.sqrt(maxiter))


pyplot.show()
